# Originally imported from fedora

%global sum Basic astronomical computations for Python

Name:       pyephem
Version:    3.7.6.0
Release:    %mkrel 1
Summary:    %{sum}
License:    LGPLv3
Group:      Development/Python
URL:        http://rhodesmill.org/%{name}/
Source0:    https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.xz
BuildRequires:  python-devel
BuildRequires:  python3-devel
# required for tests
#BuildRequires:  python-unittest2
#BuildRequires:  python3-unittest2

%description
PyEphem provides scientific-grade astronomical computations for the Python programming language. 

%package -n python-ephem
Summary:    %{sum}
Group:      Development/Python
Provides:   pyephem = %{version}-%{release}
Obsoletes:  pyephem < %{version}-%{release}

%description -n python-ephem
PyEphem provides scientific-grade astronomical computations for the Python2 programming language. 

%package -n python3-ephem
Summary:    %{sum}
Group:      Development/Python
Provides:   py3ephem = %{version}-%{release}
Provides:   pyephem3 = %{version}-%{release}
Obsoletes:  py3ephem < %{version}-%{release}
Obsoletes:  pyephem3 < %{version}-%{release}

%description -n python3-ephem
PyEphem provides scientific-grade astronomical computations for the Python3 programming language. 

%prep
%setup -q

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

#%check
#%{__python} -m unittest discover
# tests disabled as they're hardcoded to certain timezones
# see https://bugs.launchpad.net/pyephem/+bug/710602

%files -n python-ephem
%doc COPYING LICENSE-LGPL LICENSE-GPL INSTALL PKG-INFO README.rst
%{python2_sitearch}/ephem
%{python2_sitearch}/*egg-info
%exclude %{python2_sitearch}/ephem/tests

%files -n python3-ephem
%doc COPYING LICENSE-LGPL LICENSE-GPL INSTALL PKG-INFO README.rst
%{python3_sitearch}/ephem
%{python3_sitearch}/*egg-info
%exclude %{python3_sitearch}/ephem/tests


%changelog
* Tue Dec 26 2017 Zen Subz <techars21 at gmail dot com> - 3.7.6.0-1pclos2017
- Build python3 version
- Updated build for PCLinuxOS
